org.keycloak.dom.saml.v2.ac.classes

## Class Generation

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.Generation

-     public class Generation
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="mechanism" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="principalchosen"/>
                   <enumeration value="automatic"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `mechanism`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Generation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMechanism()` Gets the value of the mechanism property.
    `void` | `setMechanism(String value)` Sets the value of the mechanism property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mechanism

          protected String mechanism

  - ### Constructor Detail

    - #### Generation

          public Generation()

  - ### Method Detail

    - #### getMechanism

          public String getMechanism()

      Gets the value of the mechanism property.
      Returns:
        possible object is `String`

    - #### setMechanism

          public void setMechanism(String value)

      Sets the value of the mechanism property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.